com.jscape.inet.http

## Class HttpCookie

- java.lang.Object
- - com.jscape.inet.mime.MimeHeader
  - - com.jscape.inet.http.HttpCookie

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpCookie
      extends MimeHeader

  Represents an HTTP cookie returned in an HTTP response.
  See Also:
    `HttpResponse.getCookies()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpCookie()` Constructs a new `HttpCookie` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Gets the comment of this `HttpCookie`
    `java.lang.String` | `getCookieName()` Gets the name of this `HttpCookie`
    `java.lang.String` | `getCookieValue()` Gets the value of this `HttpCookie`
    `java.lang.String` | `getDomain()` Gets the domain of this `HttpCookie`
    `java.util.Date` | `getExpires()` Gets the expiration date of this `HttpCookie`
    `java.lang.String` | `getPath()` Gets the path of this `HttpCookie`
    `boolean` | `isSecure()` Checks if this `HttpCookie` is secure.

    - ### Methods inherited from class com.jscape.inet.mime.MimeHeader

      `addAttribute, addAttribute, getAttribute, getAttributes, getName, getValue, getValueString, isFolding, isValid, removeAttribute, setFolding, setName, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpCookie

          public HttpCookie()
                     throws MimeException

      Constructs a new `HttpCookie` instance.
      Throws:
        `MimeException` - if a MIME related parsing error occurs

  - ### Method Detail

    - #### getCookieName

          public java.lang.String getCookieName()

      Gets the name of this `HttpCookie`
      Returns:
        cookie name

    - #### getCookieValue

          public java.lang.String getCookieValue()

      Gets the value of this `HttpCookie`
      Returns:
        cookie value

    - #### getPath

          public java.lang.String getPath()

      Gets the path of this `HttpCookie`
      Returns:
        path

    - #### getComment

          public java.lang.String getComment()

      Gets the comment of this `HttpCookie`
      Returns:
        comment

    - #### getExpires

          public java.util.Date getExpires()

      Gets the expiration date of this `HttpCookie`
      Returns:
        expires

    - #### getDomain

          public java.lang.String getDomain()

      Gets the domain of this `HttpCookie`
      Returns:
        domain

    - #### isSecure

          public boolean isSecure()

      Checks if this `HttpCookie` is secure.
      Returns:
        `true` if cookie is secure, `false` otherwise

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved